/**
 * 判断是否有某一个class
 * @param el
 * @param cls
 */
declare function hasClass(el: HTMLElement, cls: string): boolean;
/**
 * 新增class
 * @param el
 * @param cls
 */
declare function addClass(el: HTMLElement, cls: string): void;
/**
 * 删除class
 * @param el
 * @param cls
 */
declare function removeClass(el: HTMLElement, cls: string): void;
/**
 * 获取style
 * @param element
 * @param styleName
 */
type StringKeys<T> = {
    [K in keyof T]: T[K] extends string ? K : never;
}[keyof T];
declare const getStyle: (element: HTMLElement, styleName: string | StringKeys<CSSStyleDeclaration>) => string | undefined | null;
declare function setStyle(element: HTMLElement, styleName: CSSStyleDeclaration | string, value?: string): void;
declare function removeStyle(element: HTMLElement, style: CSSStyleDeclaration | string): void;
declare const getOffsetTop: (el: HTMLElement) => number;
declare const getOffsetTopDistance: (el: HTMLElement, containerEl: HTMLElement) => number;

/**
 * 监听时间
 * @param element
 * @param event
 * @param handler
 * @param useCapture
 */
declare const on: (element: HTMLElement | Document | Window, event: string, handler: EventListenerOrEventListenerObject, useCapture?: boolean) => void;
/**
 * 移除事件
 * @param element
 * @param event
 * @param handler
 * @param useCapture
 */
declare const off: (element: HTMLElement | Document | Window, event: string, handler: EventListenerOrEventListenerObject, useCapture?: boolean) => void;
/**
 * 监听一次事件
 * @param el
 * @param event
 * @param fn
 */
declare const once: (el: HTMLElement, event: string, fn: EventListener) => void;
/**
 * 拦截事件
 * @param e
 */
declare const stop: (e: Event) => void;

export { addClass, getOffsetTop, getOffsetTopDistance, getStyle, hasClass, off, on, once, removeClass, removeStyle, setStyle, stop };
